Bug 207270 - textproc/intltool: fix warnings
Summary: textproc/intltool: fix warnings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 03:01 UTC by Ruslan Makhmatkhanov
Modified: 2016-03-05 19:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
rm: merge-quarterly+


Attachments
eliminate warnings patch (3.50 KB, text/plain)
2016-02-17 03:01 UTC, Ruslan Makhmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2016-02-17 03:01:55 UTC
Created attachment 167104 [details]
eliminate warnings patch

This patch eliminates warnings like this by escaping left brace:
Unescaped left brace in regex is deprecated, passed through in regex;
marked by <-- HERE in m/^(.*)\${ <-- HERE ?([A-Z_]+)}?(.*)$/ at /usr/local/bin/intltool-update line 1065.
Unescaped left brace in regex is deprecated, passed through in regex;
marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_NAME}?/ at /usr/local/bin/intltool-update line 1193.

[...]

+ 7 more warnings like this when building ports involving intltool (gitg, gnome-builder etc)

While here replace brackets with braces in download url (porlint warning) and bump PORTREVISION because of package change.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2016-02-18 10:13:34 UTC
By the way, there is upstream bug report (not mine) with similar patch:
https://bugs.launchpad.net/intltool/+bug/1490906
Comment 2 commit-hook freebsd_committer 2016-03-05 19:00:27 UTC
A commit references this bug:

Author: rm
Date: Sat Mar  5 19:00:05 UTC 2016
New revision: 410197
URL: https://svnweb.freebsd.org/changeset/ports/410197

Log:
  textproc/intltool: fix warnings with perl 5.22

  This patch eliminates warnings like this by escaping left brace:
  """
  Unescaped left brace in regex is deprecated, passed through in regex;
  marked by <-- HERE in m/^(.*)\${ <-- HERE ?([A-Z_]+)}?(.*)$/ at
  /usr/local/bin/intltool-update line 1065.
  Unescaped left brace in regex is deprecated, passed through in regex;
  marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_NAME}?/ at
  /usr/local/bin/intltool-update line 1193.
  """

  + 7 more warnings like this when building ports involving intltool (gitg,
  gnome-builder etc)

  While here replace brackets with braces in download url (porlint warning) and
  bump PORTREVISION because of package change.

  PR:		207270
  With hat:   gnome
  MFH:		2016Q1

Changes:
  head/textproc/intltool/Makefile
  head/textproc/intltool/files/patch-intltool-update.in
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2016-03-05 19:00:53 UTC
Committed.